GDB (xrefs)

Classes | Macros | Enumerations | Functions
/tmp/gdb-8.1/gdb/psympriv.h File Reference
`#include "psymtab.h"`
`#include "objfiles.h"`

Go to the source code of this file.

## Classes
struct | partial_symbol
struct | partial_symtab
class | psymtab_discarder

## Macros
#define | PSYMBOL_DOMAIN(psymbol) (psymbol)->domain
#define | PSYMBOL_CLASS(psymbol) (psymbol)->aclass
#define | ALL_OBJFILE_PSYMTABS(objfile, p) for ((p) = (objfile) -> psymtabs; (p) != NULL; (p) = (p) -> next)

## Enumerations
enum | psymtab_search_status { PST_NOT_SEARCHED, PST_SEARCHED_AND_FOUND, PST_SEARCHED_AND_NOT_FOUND }

## Functions
void | add_psymbol_to_list (const char *, int, int, domain_enum, enum address_class, std::vector< partial_symbol *> *, CORE_ADDR, enum language, struct objfile *)
void | init_psymbol_list (struct objfile *, int)
struct partial_symtab * | start_psymtab_common (struct objfile *, const char *, CORE_ADDR, std::vector< partial_symbol *> &, std::vector< partial_symbol *> &)
void | end_psymtab_common (struct objfile *, struct partial_symtab *)
struct partial_symtab * | allocate_psymtab (const char *, struct objfile *) ATTRIBUTE_NONNULL(1)
void | discard_psymtab (struct objfile *, struct partial_symtab *)

## Macro Definition Documentation

## ◆ ALL_OBJFILE_PSYMTABS

#define ALL_OBJFILE_PSYMTABS | ( |  | objfile,
|  |  | p
| ) |  | for ((p) = (objfile) -> psymtabs; (p) != NULL; (p) = (p) -> next)

Definition at line 264 of file psympriv.h.

Referenced by dbx_end_psymtab(), and parse_partial_symbols().

## ◆ PSYMBOL_CLASS

#define PSYMBOL_CLASS | ( |  | psymbol | ) | (psymbol)->aclass

Definition at line 54 of file psympriv.h.

Referenced by add_psymbol_to_bcache(), find_pc_sect_psymbol(), fixup_psymbol_section(), print_partial_symbols(), psym_fill_psymbol_map(), psymbol_compare(), psymbol_hash(), debug_names::psymbol_tag(), recursively_search_psymtabs(), and symbol_kind().

## ◆ PSYMBOL_DOMAIN

#define PSYMBOL_DOMAIN | ( |  | psymbol | ) | (psymbol)->domain

Definition at line 53 of file psympriv.h.

Referenced by add_psymbol_to_bcache(), psymbol_compare(), psymbol_hash(), debug_names::psymbol_tag(), and symbol_kind().

## Enumeration Type Documentation

## ◆ psymtab_search_status

enum psymtab_search_status

Enumerator
PST_NOT_SEARCHED |
PST_SEARCHED_AND_FOUND |
PST_SEARCHED_AND_NOT_FOUND |

Definition at line 60 of file psympriv.h.

## Function Documentation

## ◆ add_psymbol_to_list()

void add_psymbol_to_list | ( | const char * | ,
|  | int | ,
|  | int | ,
|  | domain_enum | ,
|  | enum | address_class,
|  | std::vector< partial_symbol *> * | ,
|  | CORE_ADDR | ,
|  | enum | language,
|  | struct objfile * |
| ) |  |

Referenced by add_partial_symbol(), handle_psymbol_enumerators(), load_partial_dies(), parse_partial_symbols(), read_dbx_symtab(), and scan_xcoff_symtab().

## ◆ allocate_psymtab()

struct partial_symtab* allocate_psymtab | ( | const char * | ,
|  | struct objfile * |
| ) |  |

Definition at line 1798 of file psymtab.c.

References partial_symtab::compunit_symtab, partial_symtab::filename, objfile_per_bfd_storage::filename_cache, fprintf_unfiltered(), objfile::free_psymtabs, gdb_stdlog, host_address_to_string, memset(), partial_symtab::next, objfile_name(), objfile::per_bfd, objfile::psymtabs, symtab_create_debug, and xfree().

Referenced by dbx_end_psymtab(), dwarf2_create_include_psymtab(), new_psymtab(), start_psymtab_common(), and xcoff_end_psymtab().

## ◆ discard_psymtab()

void discard_psymtab | ( | struct objfile * | ,
|  | struct partial_symtab * |
| ) |  |

Definition at line 1849 of file psymtab.c.

References objfile::free_psymtabs, partial_symtab::next, and objfile::psymtabs.

Referenced by dbx_end_psymtab(), xcoff_end_psymtab(), and psymtab_discarder::~psymtab_discarder().

## ◆ end_psymtab_common()

void end_psymtab_common | ( | struct objfile * | ,
|  | struct partial_symtab * |
| ) |  |

Definition at line 1606 of file psymtab.c.

References objfile::global_psymbols, partial_symtab::globals_offset, partial_symtab::n_global_syms, partial_symtab::n_static_syms, sort_pst_symbols(), objfile::static_psymbols, and partial_symtab::statics_offset.

Referenced by build_type_psymtabs_reader(), dbx_end_psymtab(), process_psymtab_comp_unit_reader(), and xcoff_end_psymtab().

## ◆ init_psymbol_list()

void init_psymbol_list | ( | struct objfile * | ,
|  | int |
| ) |  |

Definition at line 1784 of file psymtab.c.

References objfile::global_psymbols, and objfile::static_psymbols.

Referenced by dbx_symfile_read(), dwarf2_build_psymtabs(), and xcoff_initial_scan().

## ◆ start_psymtab_common()

struct partial_symtab* start_psymtab_common | ( | struct objfile * | ,
|  | const char * | ,
|  | CORE_ADDR | ,
|  | std::vector< partial_symbol *> & | ,
|  | std::vector< partial_symbol *> & |
| ) |  |

Definition at line 1587 of file psymtab.c.

References allocate_psymtab(), partial_symtab::filename, partial_symtab::globals_offset, partial_symtab::statics_offset, partial_symtab::texthigh, and partial_symtab::textlow.

Referenced by create_partial_symtab(), parse_partial_symbols(), start_psymtab(), and xcoff_start_psymtab().